package com.docus.server.collection.util;


import cn.hutool.core.date.DatePattern;
import com.docus.core.util.Func;

/**
 * 日期时间的工具类
 * @author wyb
 */
public class DateTimeUtil {

    /**
     * 是否是一个标准的时间格式，yyyy-MM-dd HH:mm:ss" 字符串
     * @param dateTimeStr 时间格式字符串
     * @return 能否解析成标准的时间格式
     */
    public static boolean isNormDateTime(String dateTimeStr) {
        try {
            Func.parseDate(dateTimeStr, DatePattern.NORM_DATETIME_PATTERN);
            return true;
        } catch (Exception ex) {
            return false;
        }
    }

}
